%define name	btcheck
%define version	2.1
%define	release	%mkrel 1

Summary:        btcheck - bittorrent downloaded data checker
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Group:          Applications/Internet
Packager:       Jean Diraison <jean.diraison@ac-rennes.fr>
URL:            http://btcheck.sourceforge.net/
Source:         %{name}-%{version}.tar.gz
Requires:	openssl >= 0.9.4
BuildRequires:	openssl-devel >= 0.9.4
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
btcheck can check downloaded bittorrent data with the submitted torrent file.
It can be use to see the content of the torrent file (files list with their
size, tracker announce, torrent hash value, ...)

%prep
%setup -q

%build
%configure --with-openssl
%make

%install
[ ! "$RPM_BUILD_ROOT" = "/" ] && %{__rm} -rf "$RPM_BUILD_ROOT"
%makeinstall_std

%clean
[ ! "$RPM_BUILD_ROOT" = "/" ] && %{__rm} -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING ChangeLog NEWS
%{_bindir}/btcheck
%{_mandir}/man1/*

%changelog
* Mon Aug 28 2017 Jean Diraison <jean.diraison@ac-rennes.fr>
- New 2.1 release
* Fri Aug 25 2017 Jean Diraison <jean.diraison@ac-rennes.fr>
- New 2.0 release
* Sat Oct 05 2013 Jean Diraison <jean.diraison@ac-rennes.fr>
- New 1.9 release
* Fri Apr 20 2012 Jean Diraison <jean.diraison@ac-rennes.fr>
- New 1.8 release
* Sun Feb 19 2012 Jean Diraison <jean.diraison@ac-rennes.fr>
- New 1.7 release
* Sat Jan 01 2011 Jean Diraison <jean.diraison@ac-rennes.fr>
- New 1.6 release
* Thu Dec 23 2010 Jean Diraison <jean.diraison@ac-rennes.fr>
- New 1.5 release
* Sun Aug 23 2009 Jean Diraison <jean.diraison@ac-rennes.fr>
- First public release

